firewall-applet_0.4.4.2-1_all.deb


Advertisement

Description

firewall-applet - panel applet providing status information of firewalld

Property Value
Distribution Debian 9 (Stretch)
Repository Debian Main i386
Package filename firewall-applet_0.4.4.2-1_all.deb
Package name firewall-applet
Package version 0.4.4.2
Package release 1
Package architecture all
Package type deb
Category net
Homepage http://www.firewalld.org/
License -
Maintainer Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Download size 49.62 KB
Installed size 270.00 KB
firewalld is a dynamically managed firewall daemon with support for
network/firewall zones to define the trust level of network connections
or interfaces. It has support for IPv4, IPv6 firewall settings and for
ethernet bridges and has a separation of runtime and persistent
configuration options.
It also provides a D-Bus interface for services or applications to add
and apply firewall rules on-the-fly.
This package provides a panel applet which shows status information
of firewalld.

Alternatives

Package Version Architecture Repository
firewall-applet_0.4.4.2-1_all.deb 0.4.4.2 all Debian Main
firewall-applet - - -

Requires

Name Value
firewall-config = 0.4.4.2-1
firewalld = 0.4.4.2-1
gir1.2-networkmanager-1.0 -
gir1.2-notify-0.7 -
python3-dbus -
python3-dbus.mainloop.pyqt5 -
python3-gi -
python3-pyqt5 -
python3-slip-dbus -
python3:any >= 3.2~

Replaces

Name Value
firewalld << 0.3.14.2-1~

Download

Type URL
Mirror ftp.br.debian.org
Binary Package firewall-applet_0.4.4.2-1_all.deb
Source Package firewalld

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install firewall-applet deb package:
    # sudo apt-get install firewall-applet

Files

Path
/etc/firewall/applet.conf
/etc/xdg/autostart/firewall-applet.desktop
/usr/bin/firewall-applet
/usr/share/doc/firewall-applet/changelog.Debian.gz
/usr/share/doc/firewall-applet/copyright
/usr/share/icons/hicolor/16x16/apps/firewall-applet-error.png
/usr/share/icons/hicolor/16x16/apps/firewall-applet-panic.png
/usr/share/icons/hicolor/16x16/apps/firewall-applet.png
/usr/share/icons/hicolor/22x22/apps/firewall-applet-error.png
/usr/share/icons/hicolor/22x22/apps/firewall-applet-panic.png
/usr/share/icons/hicolor/22x22/apps/firewall-applet.png
/usr/share/icons/hicolor/24x24/apps/firewall-applet-error.png
/usr/share/icons/hicolor/24x24/apps/firewall-applet-panic.png
/usr/share/icons/hicolor/24x24/apps/firewall-applet.png
/usr/share/icons/hicolor/32x32/apps/firewall-applet-error.png
/usr/share/icons/hicolor/32x32/apps/firewall-applet-panic.png
/usr/share/icons/hicolor/32x32/apps/firewall-applet.png
/usr/share/icons/hicolor/48x48/apps/firewall-applet-error.png
/usr/share/icons/hicolor/48x48/apps/firewall-applet-panic.png
/usr/share/icons/hicolor/48x48/apps/firewall-applet.png
/usr/share/icons/hicolor/scalable/apps/firewall-applet-error.svg
/usr/share/icons/hicolor/scalable/apps/firewall-applet-panic.svg
/usr/share/icons/hicolor/scalable/apps/firewall-applet.svg
/usr/share/man/man1/firewall-applet.1.gz

Changelog

2016-12-01 - Michael Biebl <biebl@debian.org>
firewalld (0.4.4.2-1) unstable; urgency=medium
* New upstream release.
* Drop patches which have been merged upstream.
2016-11-24 - Michael Biebl <biebl@debian.org>
firewalld (0.4.4.1-2) unstable; urgency=medium
* Do not hard-code paths for modinfo, modprobe and rmmod.
Use autofoo to detect them. Patches cherry-picked from upstream Git.
Add Build-Depends on kmod accordingly. (Closes: #844270)
2016-11-10 - Michael Biebl <biebl@debian.org>
firewalld (0.4.4.1-1) unstable; urgency=medium
* New upstream release.
2016-11-08 - Michael Biebl <biebl@debian.org>
firewalld (0.4.4-2) unstable; urgency=medium
* Update Homepage URL, use http://www.firewalld.org/. (Closes: #843236)
* Fix dependencies of firewall-applet. Change Depends on
python3-dbus.mainloop.qt to python3-dbus.mainloop.pyqt5. (Closes: #843564)
2016-11-03 - Michael Biebl <biebl@debian.org>
firewalld (0.4.4-1) unstable; urgency=medium
* New upstream release.
* Switch from PyQt4 to PyQt5.
* Bump debhelper compat level to 10.
2016-08-27 - Michael Biebl <biebl@debian.org>
firewalld (0.4.3.3-1) unstable; urgency=medium
* New upstream release.
- Fixes CVE-2016-5410: Firewall configuration can be modified by any
logged in user. (Closes: #834529)
2016-07-05 - Michael Biebl <biebl@debian.org>
firewalld (0.4.3.2-1) unstable; urgency=medium
* New upstream release.
2016-06-28 - Michael Biebl <biebl@debian.org>
firewalld (0.4.3.1-1) unstable; urgency=medium
* New upstream release.
* Drop 00git-doc-man1-Install-the-firewallctl-manpage.patch, merged
upstream.
2016-06-24 - Michael Biebl <biebl@debian.org>
firewalld (0.4.3-1) unstable; urgency=medium
* New upstream release.
* Drop 00git-firewall-core-fw_ifcfg-Quickly-return-if-ifcfg-direc.patch,
merged upstream.
* Install new firewallctl utility.
* Make sure the new firewallctl.1 man page is installed. Use dh-autoreconf
to update the build system.
2016-06-18 - Michael Biebl <biebl@debian.org>
firewalld (0.4.2-2) unstable; urgency=medium
* Do not fail if /etc/sysconfig/network-scripts directory does not exist.
Patch cherry-picked from upstream Git. (Closes: #826961)

See Also

Package Description
firewall-config_0.4.4.2-1_all.deb graphical configuration tool to change the firewall settings
firewalld_0.4.4.2-1_all.deb dynamically managed firewall with support for network zones
firmware-linux-free_3.4_all.deb Binary firmware for various drivers in the Linux kernel
fis-gtm-6.3-000a_6.3-000A-1_i386.deb package for FIS-GT.M database
fis-gtm_6.3-000A-1_all.deb metapackage for the latest version of FIS-GT.M database
fische_3.2.2-4+b1_i386.deb stand-alone sound visualisation for Linux
fish-common_2.4.0-1_all.deb friendly interactive shell (architecture-independent files)
fish_2.4.0-1_i386.deb friendly interactive shell
fishpoke_0.1.7-1_all.deb client for the Fishpoll server
fishpolld_0.1.7-1_all.deb daemon that allows remote script's execution when triggered from the network
fitscut_1.4.4-4+b3_i386.deb Extract cutouts from FITS image format files
fitsh_0.9.2-1+b1_i386.deb Software package for astronomical image processing
fitspng_0.3.5-1+b1_i386.deb FITS to PNG converter
fitsverify_4.18-1+b1_i386.deb FITS File Format-Verification Tool
fityk_1.3.0-1_i386.deb general-purpose nonlinear curve fitting and data analysis
Advertisement
Advertisement